<h1>Welcome to Ngrx Entity! developed by NACIM ISSAM</h1>
<hr>

<div *ngFor="let student of students | async">


  <h3>Student ID: {{ student.id }} </h3>
  <p>old: {{ student.age }}</p>


  <button *ngIf="student.smart==='smart'" class="button is-warning"
          (click)="updateStudent(student, 'stupid')">
    Downgrade to Stupid
  </button>

  <button *ngIf="student.smart==='stupid'" class="button is-success"
          (click)="updateStudent(student, 'smart')">
    Upgrade to Smart
  </button>

  <button class="button is-danger" (click)="deleteStudent(student.id)">DELETE</button>
   <hr>
</div>

<button class="button is-primary" (click)="createStudent()">CREATE new student</button>
